python-dns (2.3.6-4) unstable; urgency=medium

  [ Stefano Rivera ]
  * Switch from quilt to 3.0 (quilt) for git migration.

  [ Ondřej Nový ]
  * Fixed VCS URL (https)
  * d/control: Set Vcs-* to salsa.debian.org
  * d/changelog: Remove trailing whitespaces

  [ Scott Kitterman ]
  * Bump debhelper version/compat to 9
  * Bump standards version to 4.1.3 without further change
  * Drop obsolete X-Python-Version field and python-all version requirement
  * Updated debian/watch to use pypi.debian.net redirector
  * Add lintian override for 'python-dns source: python-foo-but-no-
    python3-foo python-dns'
    - Python 3 source is in src:py3dns
  * Add dh-python to build-depends

 -- Scott Kitterman <scott@kitterman.com>  Mon, 26 Mar 2018 12:32:30 -0400

python-dns (2.3.6-3) unstable; urgency=low

  * Add debian/patches/fix-named-perf to update named-perf.py to not require
    the obolsete timing module (Closes: #694785)
  * Bump standards version to 3.9.5 without further change

 -- Scott Kitterman <scott@kitterman.com>  Mon, 17 Feb 2014 01:24:17 -0500

python-dns (2.3.6-2) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.
  * Fix a typo in README.source.

  [ Scott Kitterman ]
  * Add debian/patches/pydns_timeout.patch to fix timeouts associated with
    only one of several available nameservers being unavailable
    (Closes: #718547):
    - Only raise timeout error after trying all available servers
    - Stop lookups once an answer is gotten
  * Bump compat to 8 and debhelper build-dep to 8.1 for build-arch/indep
    support
  * Bump standards version to 3.9.4 without further change

 -- Scott Kitterman <scott@kitterman.com>  Tue, 06 Aug 2013 23:09:05 -0400

python-dns (2.3.6-1) unstable; urgency=low

  * New upstream release
    - Update debian/copyright
    - Update debian/patches/examples-interpreter.diff since it was partly
      addressed upstream
  * Update watch file to point at pypi instead of sourceforge
  * Correct debian/compat to match debhelper version required

 -- Scott Kitterman <scott@kitterman.com>  Fri, 03 Feb 2012 21:01:08 -0500

python-dns (2.3.5-3) unstable; urgency=low

  * No change rebuild for transition to python2.7 as default

 -- Scott Kitterman <scott@kitterman.com>  Tue, 27 Sep 2011 17:35:12 -0400

python-dns (2.3.5-2) unstable; urgency=low

  * Rebuild for python transition
  * Bump standards version to 3.9.2 without further change

 -- Scott Kitterman <scott@kitterman.com>  Fri, 15 Apr 2011 23:37:20 -0400

python-dns (2.3.5-1) unstable; urgency=low

  * New upstream release
    - Drop debian/patches/lazy-revlookup.diff, function rewritten upstream
  * Build-depends on python-all instead of python
  * Bump standards version to 3.9.1 without further change
  * Drop XB-Python-Version
  * Switch XS-Python-Version to X-Python-Version and bump minimum version to
    2.4

 -- Scott Kitterman <scott@kitterman.com>  Sat, 19 Mar 2011 20:26:53 -0400

python-dns (2.3.4-5) experimental; urgency=low

  * Rebuild in experimental for python2.7 support

 -- Scott Kitterman <scott@kitterman.com>  Sat, 04 Dec 2010 11:00:46 -0500

python-dns (2.3.4-4) unstable; urgency=low

  * Convert from CDBS to Debhelper 7
    - Port debian/rules to DH 7 --with quilt plus overrides
    - Drop cdbs from build-depends
    - Add quilt to build-depends
    - Update debian/README.source
    - Bump debhelper version requirement
    - Change compat to 7
    - Remove cdbs generated pycompat
  * Convert from python-central to dh_python2
    - Drop build-depends on python-central
    - Version build-depend on python (>- 2.6.5.-2~)
    - Add --with python2 to debian/rules
  * Improve short and long description
  * Drop DM-Upload-Allowed

 -- Scott Kitterman <scott@kitterman.com>  Tue, 22 Jun 2010 12:23:24 -0400

python-dns (2.3.4-3) unstable; urgency=low

  * Replace debian/patches/lazy-revlookup.diff with a better patch from
    Julian Mehnle - Thanks

 -- Scott Kitterman <scott@kitterman.com>  Wed, 14 Apr 2010 19:23:17 -0400

python-dns (2.3.4-2) unstable; urgency=low

  * Add debian/patches/lazy-revlookup.diff to fix DNS.revlookup crash when
    the lookup returns a DNS server error
  * Bump standards version to 3.8.4 without further change

 -- Scott Kitterman <scott@kitterman.com>  Sun, 04 Apr 2010 23:29:04 -0400

python-dns (2.3.4-1) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

  [ Scott Kitterman ]
  * New upstream release
    - Drop previous patches (obsoleted by upstream changes)
    - Add debian/patches/examples-interpreter.diff to correct interpreter
      locations in the example scripts
  * Update XS/XB-Python-Version to specify supported python versions
  * Add ${misc:Depends} to python-dns depends
  * Bump standards version to 3.8.3 without further change
  * Enhance long description

 -- Scott Kitterman <scott@kitterman.com>  Sun, 17 Jan 2010 13:12:22 -0500

python-dns (2.3.3-2) unstable; urgency=medium

  * Add unicode-fix.patch so unicode DNS names don't cause a crash
    (Closes: #499277)

 -- Scott Kitterman <scott@kitterman.com>  Wed, 17 Sep 2008 13:13:59 -0400

python-dns (2.3.3-1) unstable; urgency=low

  * New upstream release (Closes: #493519)
    - Correct regressions from CVE-2008-1447 fix (TCP queries and timeouts)

 -- Scott Kitterman <scott@kitterman.com>  Sat, 02 Aug 2008 17:09:19 -0400

python-dns (2.3.2-1) unstable; urgency=low

  * New upstream release
    - Upstream fix for source port and TID randomization
    - Drop debian/patches/source-tid-random.patch (upstream incorporated
      a fix for this)
  * Add debian/patches/ignore-ipv6-ns.patch so python-dns ignores IPv6
    name servers and works in a mixed environment (Closes: #492996)
    - Thanks to Julian Mehnle for the patch
  * Added missing final newline in debian/copyright

 -- Scott Kitterman <scott@kitterman.com>  Wed, 30 Jul 2008 12:25:06 -0400

python-dns (2.3.1-6) unstable; urgency=high

  * Fix debian/patches/source-tid-random.patch so it doesn't lose socket
    errors other than port already in use

 -- Scott Kitterman <scott@kitterman.com>  Sat, 26 Jul 2008 22:05:24 -0400

python-dns (2.3.1-5) unstable; urgency=high

  * Replace debian/patches/tid-random.patch with source-tid-random.patch
    to fully address CVE-2008-1447 (Closes: #490217)
    - Randomize TID (from previous patch - it works for retries too)
    - Add source port randomization to cover all cases

 -- Scott Kitterman <scott@kitterman.com>  Sat, 26 Jul 2008 00:46:56 -0400

python-dns (2.3.1-4) unstable; urgency=low

  * Add simple-patchsys.mk to debian/rules
    - Add README.source
  * Remove custom clean rule no longer needed
  * Switch to python-central (debian/rules and control)
    - Update DEB_PYTHON_SYSTEM
    - Update build-depends
    - Add XS/XB-Python-Versions
    - Remove pyversions
  * Update standards version to 3.8.0.1
    - Add Homepage: to debian/control
  * Add debian/patches/tid-random.patch to partially address #490217
    - Randomize TID for new DNS packets, but not for retries
    - Depend on kernel for port randomization (2.6.24 i386 does this)
  * Add DEB_COMPRESS_EXCLUDE := .py so sample scripts don't get compressed
  * Change build dep on python-dev to python

 -- Scott Kitterman <scott@kitterman.com>  Fri, 11 Jul 2008 00:54:16 -0400

python-dns (2.3.1-3) unstable; urgency=low

  [ Piotr Ożarowski ]
  * Rename XS-Vcs-* fields to Vcs-* (dpkg supports them now)

  [ Scott Kitterman ]
  * Update debian/copyright to be complete

  [ Sandro Tosi ]
  * debian/control
    - added Vcs-Browser

  [ Christoph Berg ]
  * Remove Joerg Wendland from Uploaders.

  [ Ana Beatriz Guerrero Lopez ]
  * Add XS-DM-Upload-Allowed: yes flag for Scott Kitterman.
  * Upload.

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Sun, 30 Mar 2008 00:27:17 +0100

python-dns (2.3.1-2) unstable; urgency=low

  * Update debian/watch to version 3 (it works now)

 -- Scott Kitterman <scott@kitterman.com>  Tue, 26 Jun 2007 10:55:24 -0400

python-dns (2.3.1-1) unstable; urgency=low

  * New upstream release
  * Add debian/watch
  * Remove debian/patches and all patches (incorporated upstream)
  * Remove debian/rules entry for patch system.

 -- Scott Kitterman <scott@kitterman.com>  Tue, 22 May 2007 20:59:24 -0400

python-dns (2.3.0-6) unstable; urgency=low

  * New maintainer
  * Acknowledge NMU, thanks Raphael Hertzog; (closes: #373528).
    - NMU also provided Python 2.4 packages (closes: #326155).
  * debian/control:
    - Add Debian Python Modules Team as uploader
    - Update standards version to 3.7.2
    - Update python-support build-depends to version (>= 0.3) and move from
      Indep to build-depends
    - Add XS-Vcs-Svn
    - Removed XS-Python-Version and XB-Python-Version
  * debian/pyversions and debian/pycompat added
  * Add simple-patchsys.mk to debian/rules
  * Bump compat to 5
  * BTS Patches:
    - 01resolv-conf-parse patch, thanks to Arnaud Fontaine <arnaud@andesi.org>
      (closes: #378991)
  * Changes from Ubuntu (SF = Sourceforge project bug #) (closes: #411138):
    - 02utf-8 patch for files with UTF-8 content
    - 03socket-error-trap patch, Added DNSError trap for socket.error.
    - 04lazy-init SF 1563723 lazy should initilize defaults['server']
    - 05addr2bin2addr SF 863364 Mac OS X, Win2000 DHCP, addr2bin and bin2addr.
    - 06win32-fix SF 1180344 win32dns.py fails on windows server 2003
    - 07unpacker SF 954095 Bug in DNS.Lib.Unpacker.getbyte()
    - 08import-lib SF 658601 Missing "import Lib"; for TCP protocol

 -- Scott Kitterman <scott@kitterman.com>  Fri, 11 May 2007 10:29:03 -0400

python-dns (2.3.0-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update for new python policy. Closes: #373528
  * Fix lintian errors:
    - Convert changelog in UTF8.
    - Move debhelper, cdbs and python-dev to Build-Depends as they are needed
      for the clean target.

 -- Raphael Hertzog <hertzog@debian.org>  Sat, 17 Jun 2006 22:22:03 +0200

python-dns (2.3.0-5) unstable; urgency=low

  * debian/control:
    Use ${python:Depends} for Depends, so that correct Depends are
    generated by dh_python. (closes: Bug#205884)
  * debian/python-dns.postinst
    debian/python-dns.prerm:
    Remove these files and let debhelper handle these issues.

 -- Joerg Wendland <joergland@debian.org>  Wed, 20 Aug 2003 14:25:29 +0200

python-dns (2.3.0-4) unstable; urgency=low

  * debian/control:
    - Build-Dep: should list cdbs and debhelper >= 4.1 if we are
      using CDBS.
    - Change order of python versions in Depends.

 -- Joerg Wendland <joergland@debian.org>  Sat,  9 Aug 2003 17:14:53 +0200

python-dns (2.3.0-3) unstable; urgency=low

  * Convert package to CDBS.
  * Update Standards-Version to 3.6.0, no changes required.
  * python2.3 is released, yeehaa, add it as alternative to Depends.
  * Remove #DEBHELPER from postinst because it does nothing really
    useful for this package.

 -- Joerg Wendland <joergland@debian.org>  Mon,  4 Aug 2003 22:35:37 +0200

python-dns (2.3.0-2) unstable; urgency=low

  * Move files from /usr/lib/python2.1 to /usr/lib/site-python
    since we do not depend on any particular version of python.
    Depend on python | python2.2 | python2.1 for this reason.
    (closes: Bug#159649)
  * Build-Depend on python-dev to be buildable with any version
    of python.
  * Remove win32dns.py from package because Debian/Win32 is no
    official port yet.
  * Bump Standards-Version to 3.5.8.

 -- Joerg Wendland <joergland@debian.org>  Mon,  6 Jan 2003 18:20:05 +0100

python-dns (2.3.0-1) unstable; urgency=low

  * New upstream release.
  * Add python2.1-dev to Build-dep. (closes: Bug#146917)
  * Add examples from tests/ and tools/ to docs. (closes: Bug#150362)
  * Add Michael Ströder to upstream authors.

 -- Joerg Wendland <joergland@debian.org>  Sun,  7 Jul 2002 14:26:29 +0200

python-dns (0.cvs+20020417-1) unstable; urgency=low

  * Initial Debian release. (closes: Bug#136286)

 -- Joerg Wendland <joergland@debian.org>  Wed, 17 April 2002 20:10:32 +0200
